Get LinkedIn Connection Status
curl --request GET \
--url https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectionStatus": "NOT_CONNECTED",
"isReconnectInProgress": true,
"isLogoutInProgress": true,
"salesNavigatorStatus": "CONNECTED",
"runtimeStatus": {
"isOutsideWorkingHours": true,
"actions": [
{
"actionGroup": "COMMENTS",
"dailyLimitReached": true,
"dailyLimitObservedAt": "<string>",
"dailyLimitValidUntil": "<string>",
"backoffUntil": "<string>"
}
]
}
},
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Account Settings
Get LinkedIn Connection Status
Returns the account’s LinkedIn connection, Sales Navigator and recent action restrictions. An existing account permission or an accessible campaign of this owner permits this read. Connecting, reconnecting and changing settings require separate account permissions.
GET
/
client
/
v2
/
account-settings
/
{ownerId}
/
linkedin-status
Get LinkedIn Connection Status
curl --request GET \
--url https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.goextrovert.com/client/v2/account-settings/{ownerId}/linkedin-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectionStatus": "NOT_CONNECTED",
"isReconnectInProgress": true,
"isLogoutInProgress": true,
"salesNavigatorStatus": "CONNECTED",
"runtimeStatus": {
"isOutsideWorkingHours": true,
"actions": [
{
"actionGroup": "COMMENTS",
"dailyLimitReached": true,
"dailyLimitObservedAt": "<string>",
"dailyLimitValidUntil": "<string>",
"backoffUntil": "<string>"
}
]
}
},
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Authorizations
API Key for authentication
Path Parameters
Extrovert owner user ID. This read also accepts campaign access in the current workspace; settings and account-management permissions are unchanged.